@import '../../../assets/styles/common.scss';

.settings-container {
    padding: 30px;
    overflow-y: auto;
    width: calc(100% - 60px);
    height: calc(100% - 60px);

    form {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }

    &-preference {
        margin: 25px 0px;
        width: calc(100% - 60px);
        background-color: white;
        padding: 30px 25px 30px 35px;
        box-shadow: 0 2px 1px 0 rgba(0, 0, 0, 0.05);

        &-title {
            color:DimGray;
            font-size: 28px;
            font-weight: bold;
        }

        &-label {
            width: 210px;
            font-size: 16px;
            display: inline-block;
        }

        &-item-container {
            height: 75px;
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            flex-direction: row;
        }

        &-connection {
            display: flex;
            flex-wrap: wrap;
            margin-left: 8px;
            padding-left: 14px;
            flex-direction: row;
            border-left: 1px solid rgba(0, 0, 0, 0.105);

            > div {
                width: 50%;
                display: flex;
                flex-direction: column;
            }
        }

        &-language {
            > div {
                display: flex;
                margin-left: 8px;
                padding-left: 14px;
                border-left: 1px solid rgba(0, 0, 0, 0.105);

                > div {
                    width: 200px;
                    display: flex;
                    font-size: 18px;
                    font-weight: bold;
                    flex-direction: row;

                    span {
                        color:DimGray;
                        padding: 0px 12px;
                    }
                }
            }
        }

       .mdl-textfield {
            width: calc(100% - 240px);
        }
    }

    &-submit {
        width: 400px;

        &.mdl-button {
            height: 46px;
        }

        &.mdl-button--primary.mdl-button--primary.mdl-button--raised {
            background-color: $bgColor;
        }

        &.mdl-button--raised[disabled][disabled] {
            background-color: rgba(0,0,0,.12);
        }
                            
        span {
            display: flex;
            color: white;
            font-size: 16px;
            font-weight: bold;
            flex-direction: row;
            align-items: center;
            justify-content: center;

            .mdl-spinner {
                margin-right: 12px;
                .mdl-spinner__circle-clipper {
                    border-color: $bgColor;
                }

                .mdl-spinner__circle-clipper,
                .mdl-spinner__layer-1,
                .mdl-spinner__layer-2,
                .mdl-spinner__layer-3,
                .mdl-spinner__layer-4 {
                    border-color: darken($bgColor, 5);
                }
            }
        }
    }
}

@media screen and (max-width: 1256px){
    .settings-container {
        &-preference {
            &-connection {
                > div {
                    width: 100%;
                }

                padding-bottom: 15px;
            }
        }
    }
}

@media screen and(max-width: 830px) and (min-width: 768px){
    .settings-container {
        &-preference {
            &-item-container {
                height: 85px;
            }
        }
    }
}

@media screen and (max-width: 768px){
    .settings-container {
        height: 100%;

        form {
            align-items: center;
        }

        &-preference {
            margin: 15px 0px;

            &-language {
                order: -1;
            }

            &-connection,
            &-language > div {
                margin-left: 0px;
                padding-left: 0px;
                border-left: none;
            }
        }

        &-submit {
            width: 100%;
        }
    }
}


@media screen and (max-width: 568px){
    .settings-container {
        width: 100%;
        padding: 0px;

        &-submit {
            width: calc(100% - 40px);

            &.mdl-button {
                margin: 15px 0px 50px 0px;
            }
        }
        
        &-preference {
            padding: 20px 5px 0px 20px;

            &-title {
                font-size: 20px;
            }

            &-label {
                width: 100%;
            }

            &-item-container {
                height: 125px;
                margin-bottom: 8px;
            }

            &-language {
                > div {
                    > span {
                        display: none;
                    }

                    > div {
                        > span:first-child {
                            padding-left: 0px;
                        }
                    }
                }
            }

            .mdl-textfield {
                width: calc(100% - 15px); 
            }
        }
    }
}

@media screen and (max-width: 420px){
    .settings-container {
        &-submit {
            &.mdl-button {
                height: auto;
                min-height: 46px;
                
                span {
                    line-height: 2;
                }
            }
        }
    }
}